org.apache.hc.client5.http.impl.classic

## Class RequestFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - org.apache.hc.client5.http.impl.classic.RequestFailedException

All Implemented Interfaces:
  Serializable

    public class RequestFailedException
    extends InterruptedIOException

Signals that the request has been aborted or failed due to an expected condition.

Since:
  5.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.io.InterruptedIOException

`bytesTransferred`

### Constructor Summary

Constructors
Constructor and Description
`RequestFailedException(String message)`
`RequestFailedException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestFailedException

    public RequestFailedException(String message)

#### RequestFailedException

    public RequestFailedException(String message,
                          Throwable cause)